RSBag - Feature #733
Configurable output for bag-cat
11/24/2011 01:49 PM - J. Moringen

Status: Resolved Start date: 11/24/2011
Priority: High Due date:

Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.6

Description

It should be possible to e.g. print timestamps in conjunction with payloads.

Related issues:
Related to RSBag - Enhancement # 758: Refactor bag-cat to use same output mec... Resolved 12/09/2011

Associated revisions

Revision 3acd4daa - 11/24/2011 03:08 PM - J. Moringen
Added style class in formatting/event-style-programmable.lisp
refs #733
- formatting/event-style-programmabile.lisp: new file; contains
“style-programmable’ event style class
- formatting/package.lisp (package rsb.formatting): added exported
symbols style-programmable, style-template, style-bindings and
compile-template
- cl-rsb-formatting.asd (system cl-rsb-formatting): added file
formatting/event-style/programmable.lisp

History

#1 - 12/12/2011 10:56 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Fixed by r248 (which implements #758).
